%define php_sapi mod_php
%define so_file  libphp4.so

Name: mod_php
Version: %php_version
Release: %php_release
Summary: The PHP4 HTML-embedded scripting language for use with Apache
Summary(ru_RU.CP1251):	  HTML   PHP4     Apache.
Group: System/Servers
Url: http://www.php.net/
License: PHP
%add_serial php-devel

Requires: gdbm, zlib, mm, pam, php-common = 1:%php_version-%php_release
PreReq: apache >= %apache_version-%apache_release

Source1: php.conf
Source2: service.mod_php
Source3: php.ini

Obsoletes: mod_php3, php3, phpfi

# Automatically added by buildreq on Wed Nov 12 2003
BuildRequires: libdb1 libexpat-devel libgdbm libmm-devel zlib-devel
BuildRequires: apache-devel >= %apache_version-%apache_release
BuildRequires: php-common >= 1:%php_version-%php_release 
BuildRequires: php-devel >= 1:%php_version-%php_release

%description
PHP is an HTML-embedded scripting language.  PHP attempts to make it
easy for developers to write dynamically generated web pages.  PHP
also offers built-in database integration for several commercial
and non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple.  The most
common use of PHP coding is probably as a replacement for CGI
scripts.  The mod_php module enables the Apache web server to
understand and process the embedded PHP language in web pages.

This package contains PHP version 4. You'll also need to install the
Apache web server.

%description -l ru_RU.CP1251
PHP4 --   ,   HTML. PHP  
     , 
  ,   .   
 PHP    CGI-.  mod_php 
- Apache     PHP  -.

%prep
%setup -T -c
%php_sapi_prepare apache

%build
%apache_apxs \
  $(php-config --includes) \
  $(php-config --ldflags) %php_optflags \
  $(php-config --libs) \
  -I. -I./include \
  -DUSE_TRANSFER_TABLES=1 \
  -lphp4common \
  -o %so_file -c *.c 

%install
%__mkdir_p %buildroot/%_libdir/apache
%__mkdir_p %buildroot/%apache_addonconfdir

%__mkdir_p %buildroot/%php_servicedir/%name
%__mkdir_p %buildroot/%php_sysconfdir/%name/php.d

%__install -m 644 %SOURCE1 %buildroot/%apache_addonconfdir/mod_php4.conf
%__install -m 700 %SOURCE2 %buildroot/%php_servicedir/%name/condrestart
%__install -m 644 %SOURCE3 %buildroot/%php_sysconfdir/%name/
%__cp %so_file %buildroot/%_libdir/apache

%clean

%pre
[ -f "%apache_confdir/php.ini" ] || exit 0
%__mkdir_p %php_sysconfdir/%name/
%__cp %apache_confdir/php.ini %php_sysconfdir/%name/
echo "                                                                  "
echo "          === WARNING! WARNING! WARNING! ===                      "
echo " From php version 20030903 mod_php config file will be locate     " 
echo " at %php_sysconfdir/%name/. Current config will be _coped_        " 
echo " to the new location.                                             "
echo "                                                                  "

%post
if [ $1 = "1" ]; then
  echo "Include conf/addon-modules/mod_php4.conf" >> %apache_confdir/httpd.conf
  %php_servicedir/%name/condrestart
  %php_sapi_postin
fi


%preun
if [ $1 = "0" ]; then
  [ -f %apache_confdir/httpd.conf ] && \
	%__subst "/Include conf\/addon-modules\/mod_php4.conf/d" \
	  %apache_confdir/httpd.conf
  %php_servicedir/%name/condrestart
  %php_sapi_preun
fi

%files
%_libdir/apache/libphp4.so
%config(noreplace) %apache_addonconfdir/mod_php4.conf
%config(noreplace) %php_sysconfdir/%name/php.ini
%php_sysconfdir/%name
%php_servicedir/%name
%doc apache
%doc CREDITS

%changelog
* Wed Nov 12 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20031112
- New cvs snapshot php4.3.5 CVS-20031112
- iconv support fixed.
- minor build scheme fix:
  + macro php_optflags added.
  + sapi build environment changed.

* Sat Nov 01 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20031101
- New cvs snapshot
- Simple spec cleanup

* Tue Oct 21 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20031017
- First standalone build for ALT Linux;
- building by apxs;
- new configuraion scheme;
  - Fixed #2939, #2940.
